YUI Flash Component Documentation | All Packages | All Classes | Index | Frames No Frames |
Class CartesianSeries

Package | com.yahoo.astra.fl.charts.series
Class | public class CartesianSeries
Inheritance | CartesianSeries Series fl.core.UIComponent
Implements | ILegendItemSeries
Subclasses | BarSeries, ColumnSeries, LineSeries

Functionality common to most series appearing in cartesian charts. Generally, a `CartesianSeries` object shouldn't be instantiated directly. Instead, a subclass with a concrete implementation should be used.

Public Properties
Hide Inherited Public Properties
Show Inherited Public Properties

| Property | Defined by
--- | --- | ---
|  | chart : Object | Series
|  | dataProvider : Object | Series
|  | displayName : String | Series
|  | horizontalField : String | CartesianSeries
|  | itemRenderer : Object The class used to instantiate item renderers. | Series
|  | length : int | Series
|  | verticalField : String | CartesianSeries

Public Methods
Hide Inherited Public Methods
Show Inherited Public Methods

| Method | Defined by
--- | --- | ---
|  | CartesianSeries(data:Object = null) Constructor. | CartesianSeries
|  | clone():ISeries | Series
|  | createLegendItemData():LegendItemData Creates a LegendItemData object to pass to the chart's legend. | CartesianSeries
|  | getStyleDefinition():Object [static] | Series
|  | itemRendererToIndex(renderer:ISeriesItemRenderer):int | Series
|  | itemToItemRenderer(item:Object):ISeriesItemRenderer | Series

Protected Methods
Hide Inherited Protected Methods
Show Inherited Protected Methods

| Method | Defined by
--- | --- | ---
|  | invalidateMarker(marker:ISeriesItemRenderer):void Invalidates a marker (considered new). | Series
|  | isMarkerInvalid(marker:ISeriesItemRenderer):Boolean Indicates whether special considerations should be taken for a newly created marker. | Series
|  | validateMarker(marker:ISeriesItemRenderer):void Makes a marker valid. | Series

Styles
Hide Inherited Styles
Show Inherited Styles

| Style | Description | Defined by
--- | --- | --- | ---
|  | animationDuration | Type: int The duration for animations that occur on data changes. | Series
|  | animationEasingFunction | Type: Function The easing function for animations that occur on data changes. | Series
|  | animationEnabled | Type: Boolean If true, data changes will be displayed with animations. | Series
|  | fillColor | Type: uint The base color used by objects displayed in this series. | Series
|  | markerAlpha | Type: Number The alpha value from 0.0 to 1.0 to use for drawing the markers. | Series
|  | markerSize | Type: Number The size, in pixels, of each marker. | Series
|  | markerSkin | Type: Class The Class used to instantiate each marker's skin. | Series

Property detail

horizontalField | property

`horizontalField:String` [read-write]

Implementation
`public function get horizontalField():String`
`public function set horizontalField(value:String):void`

verticalField | property |

`verticalField:String` [read-write]

Implementation
`public function get verticalField():String`
`public function set verticalField(value:String):void`
Constructor detail

CartesianSeries | () | constructor

`public function CartesianSeries(data:Object = null)`

Constructor.

Parameters

| `data:Object` (default = `null`)``

Method detail

createLegendItemData | () | method

`public function createLegendItemData():LegendItemData`

Creates a LegendItemData object to pass to the chart's legend.

Returns

| `LegendItemData`